Package weka.classifiers.lazy.kstar

# Class KStarNumericAttribute

java.lang.Object
weka.classifiers.lazy.kstar.KStarNumericAttribute

All Implemented Interfaces:
  `KStarConstants`, `RevisionHandler`

public class KStarNumericAttribute extends Object implements KStarConstants, RevisionHandler
A custom class which provides the environment for computing the transformation probability of a specified test instance numeric attribute to a specified train instance numeric attribute.

Version:
  $Revision 1.0 $
Author:
  Len Trigg (len@reeltwo.com), Abdelaziz Mahoui (am14@cs.waikato.ac.nz)

- ## Field Summary

  ### Fields inherited from interface weka.classifiers.lazy.kstar.KStarConstants

  `B_ENTROPY, B_SPHERE, EPSILON, FLOOR, FLOOR1, INITIAL_STEP, LOG2, M_AVERAGE, M_DELETE, M_MAXDIFF, M_NORMAL, NUM_RAND_COLS, OFF, ON, ROOT_FINDER_ACCURACY, ROOT_FINDER_MAX_ITER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KStarNumericAttribute(Instance test, Instance train, int attrIndex, Instances trainSet, int[][] randClassCols, KStarCache cache)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `void`
  `setBlendFactor(int factor)`
  Set the blending factor
  `void`
  `setBlendMethod(int method)`
  Set the blending method
  `void`
  `setMissingMode(int mode)`
  Set the missing value mode.
  `void`
  `setOptions(int missingmode, int blendmethod, int blendfactor)`
  Set options.
  `double`
  `transProb()`
  Calculates the transformation probability of the attribute indexed "m_AttrIndex" in test instance "m_Test" to the same attribute in the train instance "m_Train".

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KStarNumericAttribute

    public KStarNumericAttribute(Instance test, Instance train, int attrIndex, Instances trainSet, int[][] randClassCols, KStarCache cache)
    Constructor

- ## Method Details

  - ### transProb

    public double transProb()
    Calculates the transformation probability of the attribute indexed "m_AttrIndex" in test instance "m_Test" to the same attribute in the train instance "m_Train".
    Returns:
      the probability value

  - ### setOptions

    public void setOptions(int missingmode, int blendmethod, int blendfactor)
    Set options.
    Parameters:
      `missingmode` - the missing value treatment to use
      `blendmethod` - the blending method to use
      `blendfactor` - the level of blending to use

  - ### setMissingMode

    public void setMissingMode(int mode)
    Set the missing value mode.
    Parameters:
      `mode` - the type of missing value treatment to use

  - ### setBlendMethod

    public void setBlendMethod(int method)
    Set the blending method
    Parameters:
      `method` - the blending method to use

  - ### setBlendFactor

    public void setBlendFactor(int factor)
    Set the blending factor
    Parameters:
      `factor` - the level of blending to use

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision